com.google.gwt.user.client.ui

## Interface TreeImages

- All Superinterfaces:
    ImageBundle

  Deprecated.
  replaced by `Tree.Resources`.

      @Deprecated
      public interface TreeImages
      extends ImageBundle

  An `ImageBundle` that provides images for `Tree`.

  ### Example

  >     public class TreeImagesExample implements EntryPoint {

  >       /**
  >        * Allows us to override Tree default images. If we don't override one of the
  >        * methods, the default will be used.
  >        */
  >       interface MyTreeImages extends TreeImages {

  >         @Resource("downArrow.png")
  >         AbstractImagePrototype treeOpen();

  >         @Resource("rightArrow.png")
  >         AbstractImagePrototype treeClosed();
  >       }

  >       public void onModuleLoad() {
  >         TreeImages images = (TreeImages)GWT.create(MyTreeImages.class);
  >         Tree tree = new Tree(images);
  >         RootPanel.get().add(tree);
  >       }
  >     }

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.ImageBundle

      `ImageBundle.Resource`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractImagePrototype` | `treeClosed()` Deprecated. An image indicating a closed branch.
    `AbstractImagePrototype` | `treeLeaf()` Deprecated. An image indicating a leaf.
    `AbstractImagePrototype` | `treeOpen()` Deprecated. An image indicating an open branch.

- - ### Method Detail

    - #### treeOpen

          AbstractImagePrototype treeOpen()

      Deprecated.
      An image indicating an open branch.
      Returns:
        a prototype of this image

    - #### treeClosed

          AbstractImagePrototype treeClosed()

      Deprecated.
      An image indicating a closed branch.
      Returns:
        a prototype of this image

    - #### treeLeaf

          AbstractImagePrototype treeLeaf()

      Deprecated.
      An image indicating a leaf.
      Returns:
        a prototype of this image